#ifndef DIALOGEDITINSTRUCTOR_H
#define DIALOGEDITINSTRUCTOR_H

#include <QDialog>
#include "instructor.h"
#include "ui_dialogeditinstructor.h"

namespace Ui {
class DialogEditInstructor;
}

class DialogEditInstructor : public QDialog
{
    Q_OBJECT

public:
    explicit DialogEditInstructor(QWidget *parent = nullptr);
    ~DialogEditInstructor();

    void setInstructor(Instructor instructor);
    Instructor getInstructor();

private:
    Ui::DialogEditInstructor *ui;

    Instructor instructorInput;
};

#endif // DIALOGEDITINSTRUCTOR_H
